<div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header">Select Battery Pack</div>
        <div class="card-body">
        
            <div class="form-group">
              <label for="batteryId">Battery ID</label>
              <input type="text" class="form-control" id="batteryId" [(ngModel)]="fetchBatteryId" name="batteryId" placeholder="Enter Battery ID">
            </div>
            <button type="button" class="btn btn-primary float-right" (click)="fetchBatteryDetails()">
              <span *ngIf="!isLoading" style="color: white">Fetch details</span>
              <div *ngIf="isLoading">
                <i class="fa fa-spinner fa-spin float-right [spinner]" style="font-size:24px"></i>
              </div>
            </button>
        </div>
      </div>


      <div class="card card-accent-primary" *ngIf="batteryInfo.batteryPackId">
        <div class="card-header">Edit Battery Details</div>

        <div class="card-body">
        <form [formGroup]="batteryForm" (ngSubmit)="onSubmit()">
                <div class="form-group">
                  <label for="batteryId">Battery</label>
                  <input 
                      type="text"
                      formControlName="batteryId"
                      class="form-control"
                      readonly="readonly">
                </div>

                <div class="form-group">
                  <label for="associatedBmsId">Associated BMS<span class="req">*</span></label>
                  <div *ngIf="!showBmsList" class="input-group mb-3">
                    <input 
                        type="text"
                        formControlName="associatedBmsId"
                        class="form-control"
                        readonly="readonly"
                        >
                      <div class="input-group-append">
                        <button type="button" class="btn btn-danger input-group-button" (click)="removeBms(batteryInfo.associatedBmsId)">Remove Bms</button>
                      </div>
                  </div>
                  
                  <input 
                    type="text" 
                    list="bmsList" 
                    formControlName="associatedBmsId"
                    class="form-control"
                    placeholder="Type to select Bms"
                    *ngIf="showBmsList"
                    >
                  <datalist id="bmsList">
                   <option *ngFor="let bms of bmsList" value="{{ bms.bmsId }}">{{ bms.bmsId }}</option>
                  </datalist> 

                    <div *ngIf="batteryForm.get('associatedBmsId').invalid && batteryForm.get('associatedBmsId').touched && showBmsList"
                        class="alert alert-danger">

                          <div *ngIf="batteryForm.get('associatedBmsId').errors.required">
                            Please select Bms.
                          </div>
                          <div *ngIf="batteryForm.get('associatedBmsId').errors.validateBmsList">
                            Please select value from the list.
                          </div>
                    </div>
                </div>
                
                <div class="form-group">
                  <label for="associatedDataloggerId">Associated Data Logger<span class="req">*</span></label>
                  <div *ngIf="!showDlList" class="input-group mb-3">
                    <input 
                        type="text"
                        formControlName="associatedDataloggerId"
                        class="form-control"
                        readonly="readonly"
                        >
                      <div class="input-group-append">
                        <button type="button" class="btn btn-danger input-group-button" (click)="removeDatalogger(batteryInfo.associatedDataloggerId)">Remove DataLogger</button>
                      </div>
                  </div>
                  
                  <input 
                    type="text" 
                    list="dlList" 
                    formControlName="associatedDataloggerId"
                    class="form-control"
                    placeholder="Type to select Data Logger"
                    *ngIf="showDlList"
                    >
                  <datalist id="dlList">
                   <option 
                     *ngFor="let dl of dlList" 
                      value="{{ dl.dataLoggerId }}"
                      >
                       {{ dl.dataLoggerId }}</option>
                  </datalist> 

                    <div *ngIf="batteryForm.get('associatedDataloggerId').invalid && batteryForm.get('associatedDataloggerId').touched && showDlList"
                        class="alert alert-danger">

                          <div *ngIf="batteryForm.get('associatedDataloggerId').errors.required">
                            Please select Data Logger.
                          </div>
                          <div *ngIf="batteryForm.get('associatedDataloggerId').errors.validateDlList">
                            Please select value from the list.
                          </div>
                    </div>
                </div>

                <div class="form-group">
                  <label for="cabinetVersion">Cabinet Version<span class="req">*</span></label>
                  <input 
                      type="text"
                      formControlName="cabinetVersion"
                      class="form-control"
                      placeholder="Enter Cabinet Version" 
                     >
                     <span 
                        *ngIf="!batteryForm.get('cabinetVersion').valid && batteryForm.get('cabinetVersion').touched"
                        class="help-block">Please enter Cabinet Version!</span>
                </div>

                <div class="form-group">
                  <label for="vendor">Cell Vendor Name<span class="req">*</span></label>
                  <input 
                      type="text"
                      formControlName="vendor"
                      class="form-control"
                      placeholder="Enter Vendor" 
                     >
                     <span 
                        *ngIf="!batteryForm.get('vendor').valid && batteryForm.get('vendor').touched"
                        class="help-block">Please enter Cell Vendor Name!</span>
                </div>

    
                <div class="form-group">
                  <label for="updatedBy">Updated By<span class="req">*</span></label>
                  <input 
                      type="text"
                      formControlName="updatedBy"
                      class="form-control"
                      readonly="readonly" 
                     >
                </div>

                <div class="form-group">
                  <label for="updatedAt">Updated At<span class="req">*</span></label>
                  <input 
                      type="text"
                      formControlName="updatedAt"
                      class="form-control"
                      readonly="readonly" 
                     >
                </div>

                <button 
                   class="btn btn-primary"
                   type="submit"
                   [disabled]="batteryForm.invalid" (click)="onSubmit()">Submit</button><br>
              </form>
        
        </div>
      </div>
    </div>
  </div>
</div>